INF  = -4;
SUP = 4;
DELTA = 0.4; 
NUM_INT = (SUP-INF)/DELTA; % numero di intervalli
contatore = zeros(1,NUM_INT)  % inizializziamo il contatore;

for i = 1:size(data,2)    % per ogni dato
    j = ceil((data(i)-INF)/DELTA);
    contatore(j) = contatore(j) + 1;
end

VALORI = INF+DELTA/2 : DELTA : SUP-DELTA/2
figure
bar(VALORI, contatore)
